import { createStore, combineRedusers, applyMiddleware } from 'redux';
import thunk from "redux-thunk";

import { promiseReducer, localStoredReducer } from "./redusers";

import { actionPending, actionFulfilled, actionRejected, actionPromise } from "./action";

// объект со всеми редьюсерами
const reducers = {
    promise: localStoredReducer(promiseReducer, 'promise'),
    // auth: localStoredReducer(authReducer, 'auth'),
    // cart: localStoredReducer(cartReducer, 'cart'),
}

// const totalReducer = combineRedusers(reducers)

// создаем store для редьюсера
export const store = createStore(promiseReducer, applyMiddleware(thunk))
store.subscribe(() => console.log(store.getState()))